Skip to content
Docs

Update a Team

PATCHhttps://api.vercel.com/v2/teams/{teamId}
Update the information of a Team specified by the teamId parameter. The request body should contain the information that will be updated on the Team.
https://api.vercel.com/v2/teams/{teamId}
const response = await fetch('https://api.vercel.com/v2/teams/teamId?slug=string', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"avatar": "string",
"description": "Our mission is to make cloud computing accessible to everyone",
"emailDomain": "example.com",
"name": "My Team",
"previewDeploymentSuffix": "example.dev",
"regenerateInviteCode": "true",
"saml": {
"enforced": "true",
"roles": "value"
},
"slug": "my-team",
"enablePreviewFeedback": "on",
"enableProductionFeedback": "on",
"sensitiveEnvironmentVariablePolicy": "on",
"disjunctiveProductionSecretPolicy": "on",
"remoteCaching": {
"enabled": "true"
},
"hideIpAddresses": "false",
"hideIpAddressesInLogDrains": "false",
"dpAccessRequestsMode": "none",
"requireVerifiedCommits": "true",
"disableRepositoryDispatchEvents": "false",
"defaultDeploymentProtection": {
"passwordProtection": {
"deploymentType": "all",
"password": "string"
},
"ssoProtection": {
"deploymentType": "all"
}
},
"defaultPassport": {
"connectorId": "example_id",
"deploymentType": "all"
},
"defaultExpirationSettings": {
"expiration": "1y",
"expirationProduction": "1y",
"expirationCanceled": "1y",
"expirationErrored": "1y"
},
"deploymentPolicy": {
"gitSources": [
{
"enabled": "true",
"environments": [
{
"type": "system",
"target": "production"
}
],
"sources": [
{
"provider": "github",
"org": "string",
"repo": "string"
}
]
}
],
"deploymentSources": [
{
"enabled": "true",
"environments": [
{
"type": "system",
"target": "production"
}
],
"sources": []
}
]
},
"strictDeploymentProtectionSettings": {
"enabled": "true"
},
"strictShareableLinks": {
"enabled": "true"
},
"strictPasswordProtectionSettings": {
"enabled": "true"
},
"strictConnectors": {
"enabled": "true"
},
"nsnbConfig": {
"preference": "auto-approval"
},
"defaultProjectJobs": {
"lint": {
"targets": []
},
"typecheck": {
"targets": []
}
},
"resourceConfig": {
"buildMachine": {
"default": "standard"
}
}
}),
});
const data = await response.json();
console.log(data);
Response
{
"connect": {
"enabled": "false"
},
"creatorId": "R6efeCJQ2HKXywuasPDc0fOWB",
"updatedAt": "1611796915677",
"emailDomain": "example.com",
"saml": {
"connection": {
"type": "OktaSAML",
"state": "active",
"connectedAt": "1611796915677",
"lastReceivedWebhookEvent": "1611796915677",
"lastSyncedAt": "1611796915677",
"syncState": "ACTIVE",
"status": "string"
},
"directory": {
"type": "OktaSAML",
"state": "active",
"connectedAt": "1611796915677",
"lastReceivedWebhookEvent": "1611796915677",
"lastSyncedAt": "1611796915677",
"syncState": "ACTIVE"
},
"enforced": "false",
"defaultRedirectUri": "v0.app",
"roles": "value"
},
"inviteCode": "hasihf9e89",
"billing": {
"plan": "enterprise"
},
"description": "Our mission is to make cloud computing accessible to everyone.",
"defaultRoles": {
"teamRoles": [],
"teamPermissions": []
},
"stagingPrefix": "string",
"resourceConfig": {
"concurrentBuilds": "123",
"elasticConcurrencyEnabled": "false",
"edgeConfigSize": "123",
"edgeConfigs": "123",
"kvDatabases": "123",
"blobStores": "123",
"postgresDatabases": "123",
"customEnvironmentsPerProject": "123",
"serverlessFunctionMaxMemorySize": "123",
"buildEntitlements": {
"enhancedBuilds": "false"
},
"buildMachine": {
"default": "basic"
}
},
"previewDeploymentSuffix": "example.dev",
"platform": "true",
"disableHardAutoBlocks": "123",
"remoteCaching": {
"enabled": "false"
},
"defaultDeploymentProtection": {
"passwordProtection": {
"deploymentType": "string"
},
"ssoProtection": {
"deploymentType": "string"
}
},
"defaultPassport": {
"connectorId": "example_id",
"deploymentType": "all"
},
"defaultExpirationSettings": {
"expirationDays": "123",
"expirationDaysProduction": "123",
"expirationDaysCanceled": "123",
"expirationDaysErrored": "123",
"deploymentsToKeep": "123"
},
"defaultProjectJobs": {
"lint": {
"targets": []
},
"typecheck": {
"targets": []
},
"mfe-config-present": {
"targets": []
}
},
"enablePreviewFeedback": "default",
"enableProductionFeedback": "default",
"sensitiveEnvironmentVariablePolicy": "default",
"disjunctiveProductionSecretPolicy": "default",
"hideIpAddresses": "false",
"hideIpAddressesInLogDrains": "false",
"dpAccessRequestsMode": "all",
"ipBuckets": [
{
"bucket": "string",
"supportUntil": "123",
"default": "false"
}
],
"requireVerifiedCommits": "false",
"disableRepositoryDispatchEvents": "false",
"strictDeploymentProtectionSettings": {
"enabled": "false",
"updatedAt": "123"
},
"strictShareableLinks": {
"enabled": "false",
"updatedAt": "123"
},
"strictPasswordProtectionSettings": {
"enabled": "false",
"updatedAt": "123"
},
"strictConnectors": {
"enabled": "false",
"updatedAt": "123"
},
"nsnbConfig": {
"preference": "auto-approval"
},
"deploymentPolicy": {
"gitSources": [
{
"sources": [
{
"provider": "bitbucket",
"org": "string",
"repo": "string"
}
],
"enabled": "false",
"environments": [
{
"type": "system",
"target": "preview"
}
]
}
],
"deploymentSources": [
{
"sources": [],
"enabled": "false",
"environments": [
{
"type": "system",
"target": "preview"
}
]
}
]
},
"personalAccessTokensInvalidatedAt": "123",
"appTokensInvalidatedAt": "123",
"apiKeysInvalidatedAt": "123",
"integrationTokensInvalidatedAt": "123",
"id": "team_nllPyCtREAqxxdyFKbbMDlxd",
"slug": "my-team",
"name": "My Team",
"avatar": "6eb07268bcfadd309905ffb1579354084c24655c",
"membership": {
"uid": "example_id",
"entitlements": [
{
"entitlement": "string"
}
],
"teamId": "example_id",
"confirmed": "true",
"accessRequestedAt": "123",
"role": "BILLING",
"teamRoles": [],
"teamPermissions": [],
"createdAt": "123",
"created": "123",
"joinedFrom": {
"origin": "account-update",
"commitId": "example_id",
"repoId": "example_id",
"repoPath": "string",
"gitUserId": "example_id",
"gitUserLogin": "string",
"ssoUserId": "example_id",
"ssoConnectedAt": "123",
"idpUserId": "example_id",
"dsyncUserId": "example_id",
"dsyncConnectedAt": "123"
}
},
"createdAt": "1630748523395",
"parentId": "org_nllPyCtREAqxxdyFKbbMDlxd",
"orgRootTeamId": "team_nllPyCtREAqxxdyFKbbMDlxd"
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringRequired
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
avatarstringOptional
The hash value of an uploaded image, or null to clear the avatar.
descriptionstringOptional
A short text that describes the team.
emailDomainstringOptional
namestringOptional
The name of the team.
previewDeploymentSuffixstringOptional
Suffix that will be used for all preview deployments.
regenerateInviteCodebooleanOptional
Create a new invite code and replace the current one.
samlobjectOptional
slugstringOptional
A new slug for the team.
enablePreviewFeedbackstringOptional
Enable preview toolbar: one of on, off or default.
enableProductionFeedbackstringOptional
Enable production toolbar: one of on, off or default.
sensitiveEnvironmentVariablePolicystringOptional
Sensitive environment variable policy: one of on, off or default.
disjunctiveProductionSecretPolicystringOptional
Require production secrets to be in their own environment group: one of on, off or default.
remoteCachingobjectOptional
Whether or not remote caching is enabled for the team
hideIpAddressesbooleanOptional
Display or hide IP addresses in Monitoring queries.
hideIpAddressesInLogDrainsbooleanOptional
Display or hide IP addresses in Log Drains.
dpAccessRequestsModestringOptional
Controls who can request access to protected deployments.
requireVerifiedCommitsbooleanOptional
When enabled, all projects in the team require commits to be signed and verified by the git provider before deployments will be created.
disableRepositoryDispatchEventsbooleanOptional
Default for projects in the team. When true, projects in this team will not emit GitHub repository-dispatch events on deployment events unless the project explicitly overrides this setting.
defaultDeploymentProtectionobjectOptional
Default deployment protection settings for new projects.
defaultPassportobjectOptional
Default Passport configuration for new projects.
defaultExpirationSettingsobjectOptional
deploymentPolicyobjectOptional
Composable deployment-time policy. Each rule type holds a list of rules, one per environment scope.
strictDeploymentProtectionSettingsobjectOptional
When enabled, deployment protection settings require stricter permissions (owner-only).
strictPasswordProtectionSettingsobjectOptional
When enabled, adding, changing, or removing project password protection requires Owner role.
strictConnectorsobjectOptional
When enabled, creating and managing connectors requires Owner role.
nsnbConfigobjectOptional
NSNB configuration for the team.
defaultProjectJobsobjectOptional
Default job configuration applied to new projects created in this team.
resourceConfigobjectOptional
Resource configuration for the team.
200Success
connectobjectOptional
creatorIdstringRequired
The ID of the user who created the Team.
updatedAtnumberRequired
Timestamp (in milliseconds) of when the Team was last updated.
emailDomainstringOptional
Hostname that'll be matched with emails on sign-up to automatically join the Team.
samlobjectOptional
When "Single Sign-On (SAML)" is configured, this object contains information regarding the configuration of the Identity Provider (IdP).
inviteCodestringOptional
Code that can be used to join this Team. Only visible to Team owners.
billingobjectRequired
The team's billing plan.
descriptionstringRequired
A short description of the Team.
defaultRolesobjectOptional
Default roles for the team.
stagingPrefixstringRequired
The prefix that is prepended to automatic aliases.
resourceConfigobjectOptional
previewDeploymentSuffixstringOptional
The hostname that is current set as preview deployment suffix.
platformbooleanOptional
Whether the team is a platform team.
disableHardAutoBlocksobjectOptional2 variants
remoteCachingobjectOptional
Is remote caching enabled for this team
defaultDeploymentProtectionobjectOptional
Default deployment protection for this team null indicates protection is disabled
defaultPassportobjectOptional
Default Passport configuration for new projects in this team.
defaultExpirationSettingsobjectOptional
Default deployment expiration settings for this team
defaultProjectJobsobjectOptional
Default job configuration applied to new projects created in this team.
enablePreviewFeedbackstringOptional
Whether toolbar is enabled on preview deployments
enableProductionFeedbackstringOptional
Whether toolbar is enabled on production deployments
sensitiveEnvironmentVariablePolicystringOptional
Sensitive environment variable policy for this team
disjunctiveProductionSecretPolicystringOptional
Require production secrets to use a different value than preview or development.
hideIpAddressesbooleanOptional
Indicates if IP addresses should be accessible in observability (o11y) tooling
hideIpAddressesInLogDrainsbooleanOptional
Indicates if IP addresses should be accessible in log drains
dpAccessRequestsModestringOptional
Controls who can request access to protected deployments.
ipBucketsarrayOptional
requireVerifiedCommitsbooleanOptional
When enabled, all projects in the team require commits to be signed and verified by the git provider before deployments will be created. Projects may override this via project.gitProviderOptions.requireVerifiedCommits (gated by Project:Update).
disableRepositoryDispatchEventsbooleanOptional
Default for projects in the team. When true, projects in this team will not emit GitHub repository-dispatch events on deployment events unless the project explicitly overrides this setting via project.gitProviderOptions.disableRepositoryDispatchEvents.
strictDeploymentProtectionSettingsobjectOptional
When enabled, deployment protection settings require stricter permissions (owner-only).
strictPasswordProtectionSettingsobjectOptional
When enabled, adding, changing, or removing project password protection requires Owner role.
strictConnectorsobjectOptional
When enabled, creating and managing connectors requires Owner role or the ConnectorManager permission.
nsnbConfigobjectOptional
NSNB configuration for the team.
deploymentPolicyobjectOptional
Composable deployment-time policy for the team. Used as the default for every project on the team, with optional per-project overrides on project.deploymentPolicy.
personalAccessTokensInvalidatedAtnumberOptional
Timestamp (ms) after which personal access tokens created at or before this time are considered invalid for this team.
appTokensInvalidatedAtnumberOptional
Timestamp (ms) after which Vercel App tokens created at or before this time are considered invalid for this team.
apiKeysInvalidatedAtnumberOptional
Timestamp (ms) after which API keys created at or before this time are considered invalid for this team.
integrationTokensInvalidatedAtnumberOptional
Timestamp (ms) after which integration tokens created at or before this time are considered invalid for this team.
idstringRequired
The Team's unique identifier.
slugstringRequired
The Team's slug, which is unique across the Vercel platform.
namestringRequired
Name associated with the Team account, or null if none has been provided.
avatarstringRequired
The ID of the file used as avatar for this Team.
membershipobjectOptional
The membership of the authenticated User in relation to the Team.
createdAtnumberRequired
UNIX timestamp (in milliseconds) when the Team was created.
parentIdstringOptional
The organizationId for teams that belong to an organization (set on both the organization's root team and its child teams).
orgRootTeamIdstringOptional
Best-effort ID of the organization’s root billing team. When present, compare orgRootTeamId === id to identify the root team. It may be omitted even when parentId is set if organization resolution fails or the referenced organization is missing. Always omitted for non-organization teams.
400One of the provided values in the request body is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource. Not authorized to update the team. Must be an OWNER.
410Error
428Owner does not have protection add-on